Futures Cross
Get funding fees
GET
/futures/cross/funding-feesPrivateGet the funding fees paid for the cross margin position
Permissions: futures:cross:read
from?stringStart date, unix epoch 0 by default
Format
date-timeDefault
"1970-01-01T00:00:00.000Z"to?stringEnd date, default to current time
Format
date-timeDefault
"2026-09-12T10:28:28.255Z"limit?integerNumber of entries to return, default to 1000
Range
1 <= value <= 1000Default
1000cursor?stringCursor for pagination
Format
date-timeOK
application/json- response
data*array<>nextCursor*|Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.
import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({ key: 'your-key', secret: 'your-secret', passphrase: 'your-passphrase',})const result = await client.futures.cross.getFundingFees({ from: '1970-01-01T00:00:00.000Z', to: '2026-09-12T10:28:26.634Z', limit: 500}){ "data": [ { "time": "2025-01-01T00:00:00.000Z", "settlementId": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e", "fee": 10 } ], "nextCursor": "2024-01-15T10:30:00.000Z"}